Create a new add on
curl --request POST \
--url https://b.anny.co/api/v1/add-ons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "add-ons",
"attributes": {
"name": "Team Excellence Certificate",
"description": "",
"plain_description": "",
"customer_notice": "",
"lead_time": 0,
"is_third_party": false,
"currency": "EUR",
"tax_rate": 19,
"price": 50,
"is_net_price": false
},
"relationships": {},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/add-ons"
payload = { "data": {
"type": "add-ons",
"attributes": {
"name": "Team Excellence Certificate",
"description": "",
"plain_description": "",
"customer_notice": "",
"lead_time": 0,
"is_third_party": False,
"currency": "EUR",
"tax_rate": 19,
"price": 50,
"is_net_price": False
},
"relationships": {},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'add-ons',
attributes: {
name: 'Team Excellence Certificate',
description: '',
plain_description: '',
customer_notice: '',
lead_time: 0,
is_third_party: false,
currency: 'EUR',
tax_rate: 19,
price: 50,
is_net_price: false
},
relationships: {},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/add-ons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "add-ons",
"id": "247",
"attributes": {
"name": "Team Excellence Certificate",
"description": null,
"plain_description": "",
"customer_notice": null,
"lead_time": 0,
"is_third_party": false,
"is_net_price": false,
"currency": "EUR",
"tax_rate": 19,
"price": 50
},
"links": {
"self": "https://b.anny.co/api/v1/add-ons/247"
}
}
}Service Configuration
Create a new add on
POST
/
api
/
v1
/
add-ons
Create a new add on
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
Created
An optional extra that can be added to a booking (e.g., equipment rental, catering).
Show child attributes
Show child attributes
⌘I